using Furion.JsonSerialization;
using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 附件信息转换
/// </summary>
public class AttachmentMapper : IRegister
{
    public void Register(TypeAdapterConfig config)
    {
        config.ForType<ExamSpecialStudent, ExamSpecialStudentOutput>().Map(d => d.AttachmentList, s => JSON.Deserialize<List<AttachmentItem>>(s.Attachments, null));
        config.ForType<ExamOrgDataReport, ExamOrgDataReportOutput>().Map(d => d.AttachmentList, s => JSON.Deserialize<List<AttachmentItem>>(s.Attachments, null));
    }
}
